# $Id: fftw3.spec,v 1.3 2003/11/07 20:03:14 dude Exp $

%define rname fftw

Summary: Fast Fourier Transform library.
Name: fftw3
Version: 3.0.1
Release: 2.fr
License: GPL
Group: System Environment/Libraries
Source: http://www.fftw.org/%{rname}-%{version}.tar.gz
URL: http://www.fftw.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: /sbin/ldconfig

%description
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.


%package devel
Summary: Headers, libraries and docs for the FFTW library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.

This package contains header files and development libraries needed to
develop programs using the FFTW fast Fourier transform library.


%prep
%setup -q -n %{rname}-%{version}

%build
%ifarch %ix86
    %configure --enable-shared --enable-threads --enable-i386-hacks
%else
    %configure --enable-shared --enable-threads
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
rm -f doc/Makefile*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README* TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%doc doc/
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_infodir}/*

%changelog
* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> - 3.0.1-2.fr
- Rebuild for Fedora Core 1.
- Added fftw-wisdom files.

* Fri Aug  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.0.1.
- Fork as fftw3 to allow co-existence with 2.x.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.5.
- Rebuilt for Red Hat Linux 9.

* Tue Mar 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.4.
- Exclude .la files.

* Tue Oct 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the original single/double build to be "compatible" with the
  gstreamer build :-/

* Mon Oct 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

